org.apache.lucene.codecs.lucene87

## Enum Lucene87StoredFieldsFormat.Mode

- java.lang.Object
- - java.lang.Enum<Lucene87StoredFieldsFormat.Mode>
  - - org.apache.lucene.codecs.lucene87.Lucene87StoredFieldsFormat.Mode

- All Implemented Interfaces:
    Serializable, Comparable<Lucene87StoredFieldsFormat.Mode>
  Enclosing class:
    Lucene87StoredFieldsFormat

      public static enum Lucene87StoredFieldsFormat.Mode
      extends Enum<Lucene87StoredFieldsFormat.Mode>

  Configuration option for stored fields.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BEST_COMPRESSION` Trade retrieval speed for compression ratio.
    `BEST_SPEED` Trade compression ratio for retrieval speed.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Lucene87StoredFieldsFormat.Mode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Lucene87StoredFieldsFormat.Mode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BEST_SPEED

          public static final Lucene87StoredFieldsFormat.Mode BEST_SPEED

      Trade compression ratio for retrieval speed.

    - #### BEST_COMPRESSION

          public static final Lucene87StoredFieldsFormat.Mode BEST_COMPRESSION

      Trade retrieval speed for compression ratio.

  - ### Method Detail

    - #### values

          public static Lucene87StoredFieldsFormat.Mode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Lucene87StoredFieldsFormat.Mode c : Lucene87StoredFieldsFormat.Mode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Lucene87StoredFieldsFormat.Mode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.